Vulnerability CVE-2012-1499


Published: 2012-04-11

Description:
The JPEG 2000 codec (jp2.c) in OpenJPEG before 1.5 allows remote attackers to execute arbitrary code via a crafted palette index in a CMAP record of a JPEG image, which triggers memory corruption, aka "out-of heap-based buffer write."

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Openjpeg -> Openjpeg 
Antonin descampe -> Openjpeg 

 References:
http://code.google.com/p/openjpeg/source/detail?r=1330
http://lists.fedoraproject.org/pipermail/package-announce/2012-June/082923.html
http://lists.fedoraproject.org/pipermail/package-announce/2012-June/083105.html
http://openjpeg.googlecode.com/svn/branches/openjpeg-1.5/NEWS
http://security.gentoo.org/glsa/glsa-201206-06.xml
http://technet.microsoft.com/en-us/security/msvr/msvr12-004
http://www.securityfocus.com/bid/52654
https://bugzilla.redhat.com/show_bug.cgi?id=805912

Copyright 2021, cxsecurity.com

 

Back to Top